Index: incl.php
===================================================================
RCS file: /opt/cvs-commit/appdb/include/incl.php,v
retrieving revision 1.23
diff -u -r1.23 incl.php
--- incl.php	10 Jul 2005 02:22:22 -0000	1.23
+++ incl.php	26 Jul 2005 03:58:12 -0000
@@ -36,11 +36,17 @@
     return BASE.$path;
 }
 
+/* Turn a relative path into a full path on the local server
+ * This isn't as easy as prepending 'DOCUMENT_ROOT' because
+ * if /var/www is the base directory, then http://localhost/appdb
+ * has a document root of /var/www */
 function apidb_fullpath($path)
 {
-    return $_SERVER['DOCUMENT_ROOT'].BASE.$path;
+    /* we know this file is in /yyy/xxx/include, we want to get /yyy/xxx so we call dirname */
+    /* on this file path twice */
+    $fullpath = dirname(dirname(__FILE__))."//".$path;
+    return str_replace("//", "/", $fullpath); /* get rid of potential double slashes due to string concat */
 }
-
 
 /*
  * output the common apidb header
